<?php 
// Post Display Type 9
?>

<div class="wpmp_second_box options_box">

<div class="title-box">
	<h2><?php _e('OPTIONS','wpmegapack'); ?></h2>
	<h3><?php _e('Choose element to show','wpmegapack'); ?></h3>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Date: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_date_show">  
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
    </select> 
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Format Date: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_date_format">  
        
               <option value="F j, Y g:i a"><?php _e('November 6, 2010 12:50 am', 'wpmegapack'); ?></option>
               <option value="F j, Y"><?php _e('November 6, 2010', 'wpmegapack'); ?></option>
               <option value="F, Y"><?php _e('November, 2010', 'wpmegapack'); ?></option>
               <option value="g:i a"><?php _e('12:50 am', 'wpmegapack'); ?></option>
               <option value="g:i:s a"><?php _e('12:50:48 am', 'wpmegapack'); ?></option>
               <option value="l, F jS, Y"><?php _e('Saturday, November 6th, 2010', 'wpmegapack'); ?></option>
               <option value="M j, Y @ G:i"><?php _e('Nov 6, 2010 @ 0:50', 'wpmegapack'); ?></option>
               <option value="Y/m/d \a\t g:i A"><?php _e('2010/11/06 at 12:50 AM', 'wpmegapack'); ?></option>           
               <option value="Y/m/d \a\t g:ia"><?php _e('2010/11/06 at 12:50am', 'wpmegapack'); ?></option>
               <option value="Y/m/d g:i:s A"><?php _e('2010/11/06 12:50:48 AM', 'wpmegapack'); ?></option>
               <option value="Y/m/d"><?php _e('2010/11/06', 'wpmegapack'); ?></option>
                             
    </select>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Comments: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_comments_show">  
        
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
        
    </select>
</div>
    
<div class="wpmp-field">         
    <p class="wpmp-title wpmp-inline"><?php _e('Author: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_author_show">  
        
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
        
    </select>                    
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Category: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_category_show">  
        
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
        
    </select>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Views: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_view_show">  
        
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
        
    </select>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Social: ', 'wpmegapack'); ?></p>			
    
    <select id="wpmp_p_type9_view_social">  
        
               <option value="true"><?php _e('Show', 'wpmegapack'); ?></option>
               <option value="false"><?php _e('Hidden', 'wpmegapack'); ?></option>
        
    </select> 
</div>

</div> <!-- #options_box -->

<div class="wpmp_third_box style_box">

<div class="title-box">
	<h2><?php _e('STYLE','wpmegapack'); ?></h2>
</div>        

<div class="wpmp-field"> 
    <p class="wpmp-title wpmp-inline"><?php _e('Layout: ', 'wpmegapack'); ?></p>
    <select id="wpmp_p_type9_layout">  
    
               <option value="layout1"><?php _e('Layout 1', 'wpmegapack'); ?></option>
               <option value="layout2"><?php _e('Layout 2', 'wpmegapack'); ?></option>
               <option value="layout3"><?php _e('Layout 3', 'wpmegapack'); ?></option>
               
    </select>  
</div>    

<div class="title-box"> 
	<h3><?php _e('Options field for custom style','wpmegapack'); ?></h3>
</div>

<div class="wpmp-field">
    <p class="wpmp-title wpmp-inline"><?php _e('Custom Style: ', 'wpmegapack'); ?></p>
    <select id="wpmp_p_type9_custom_style">  
        
               <option value="off"><?php _e('Off (Default Color)', 'wpmegapack'); ?></option>
               <option value="on"><?php _e('On', 'wpmegapack'); ?></option>
        
    </select> 
</div>

<div class="wpmp_custom_style" style="display:none;">

    <div class="wpmp-field">
        <p class="title"><?php _e('Main Color','wpmegapack'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_p_type9_maincolor" /> 
    </div>

    <div class="wpmp-field">
        <p class="title"><?php _e('Secondary Color','wpmegapack'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_p_type9_secondcolor" /> 
    </div>

    <div class="wpmp-field">
        <p class="title"><?php _e('Third Color','wpmegapack'); ?></p>
        <input type="text" value="#eeeeee" class="wp-color-picker-field" data-default-color="#eeeeee" id="wpmp_p_type9_thirdcolor" /> 
    </div>

</div>


</div> <!-- #style_box -->