<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

function wpmegapack_button( $page = null, $target = null ) {



  echo '<a href="#" class="button" title="WP MEGA PACK SHORTCODES" id="wpmegapack-generator-button"><span class="wpmegapack-button-portfolio"></span>'.__('WP MEGA PACK SHORTCODES','wpmegapack').'</a>';	


 }

add_action( 'media_buttons', 'wpmegapack_button', 100 );

function wpmegapack_generator() {

	?>

<div id="wpmegapack-generator-overlay" class="wpmegapack-overlay-bg" style="display:none"></div>

  <div id="wpmegapack-generator-wrap" style="display:none">

   <div id="wpmegapack-generator">

    <a href="#" id="wpmegapack-generator-close"><span class="wpmegapack-close">x</span></a>

	<div class="wpmp_shortcodes_type">

	 <h1 class="wpmp_main_title"><?php _e('WORDPRESS MEGA PACK - SHORTCODES','wpmegapack'); ?></h1>


     <p class="wpmp-title"><?php _e('Select your shortcode','wpmegapack'); ?></p>
     
     <select id="wpmp_shortcode_type" name="wpmp_shortcode_type" class="">
     	<optgroup label="<?php _e('Header Post Display (Optimized for content >= 1000px)','wpmegapack'); ?>">
             <option value="header_display_type1">Header Display Type1 (1 Posts Features + 2 Right Small)</option>
             <option value="header_display_type2">Header Display Type2 (1 Posts Features + 3 Bottom Small Post)</option>
             <option value="header_display_type3">Header Display Type3 (1 Posts Features + 3 Right Small Post)</option>
             <option value="header_display_type4">Header Display Type4 (Carousel)</option>
             <option value="header_display_type5">Header Display Type5 (1 Posts Features + 4 Small Posts)</option>
        </optgroup>      
     	<optgroup label="<?php _e('Posts Display','wpmegapack'); ?>">
             <option value="post_display_type1">Posts Display Type1</option>
             <option value="post_display_type2">Posts Display Type2</option>
             <option value="post_display_type3">Posts Display Type3</option>
             <option value="post_display_type4">Posts Display Type4 - Normal/Carousel</option>
             <option value="post_display_type5">Posts Display Type5</option>
             <option value="post_display_type6">Posts Display Type6</option>
             <option value="post_display_type7">Posts Display Type7</option>
             <option value="post_display_type8">Posts Display Type8</option>
             <option value="post_display_type9">Posts Display Type9</option>
             <option value="post_display_type10">Posts Display Type10</option>                          
        </optgroup>
        <optgroup label="<?php _e('News Ticker','wpmegapack'); ?>">
         	 <option value="newsticker_type1">News Ticker</option>
        </optgroup>                    
        <optgroup label="<?php _e('General Shortcodes','wpmegapack'); ?>">
         	 <option value="wpmp_columns">Columns</option>
        </optgroup>              
     </select>

	 <p class="wpmp-title"><?php _e('Shortcode Name (Optional)','wpmegapack'); ?></p>
     
     <input type="text" id="wpmp_shortcode_name" value="">

	</div> <!-- #wpmp_shortcodes_type -->
    
	<div class="wpmp_first_box query_box">

        <div class="title-box">
        
            <h2><?php _e('QUERY','wpmegapack'); ?></h2>
            <h3><?php _e('Build your query to get the posts','wpmegapack'); ?></h3>
        
        </div>
        
    	<div class="wpmp-field">
         <p class="wpmp-title wpmp-inline"><?php _e('Source: ', 'wpmegapack'); ?></p>			
    
         <select id="wpmp_source" name="wpmp_source" class="">  
    
           <option value="post"><?php _e('Post', 'wpmegapack'); ?></option>
           <option value="post_type"><?php _e('Custom Post Type', 'wpmegapack'); ?></option>
           
         </select> 
        </div>
        
       
        <div class="post_type" style="display:none;">
        
          <div class="wpmp-field"> 
           		<p class="wpmp-title wpmp-inline"><?php _e('Custom Post Type: ', 'wpmegapack'); ?></p>
             
             	<?php
    
                	echo wpmp_all_post_types();
    
             	?>        
           </div>

           <div class="wpmp-field">
                <p class="position"><?php _e('Categories for custom post type. <br>Write Categories slug separate by comma(,) for example: cat-slug1, cat-slug2, cat-slug3 (Leave empty for all categories): ', 'wpmegapack'); ?></p>
            
                <input type="text" id="wpmp_categories_post_type" value="">
           </div>		

        </div> <!-- #post_type -->
         
         <div class="wpmegapack_post_category">  
         
           <div class="wpmp-field">
               <p class="wpmp-title wpmp-inline"><?php _e('All Posts/Sticky posts', 'wpmegapack'); ?></p>
                    
                <select id="wpmp_posts_source">  
                    
                           <option value="all_posts"><?php _e('All Posts', 'wpmegapack'); ?></option>
                           <option value="sticky_posts"><?php _e('Only Sticky Posts', 'wpmegapack'); ?></option>
                    
                </select>
           </div>          
         
          
           <div class="wpmp-field">
               <p class="wpmp-title"><?php _e('Select Category (Multiple category is allowed)', 'wpmegapack'); ?></p>
               
               <select id="wpmp_categories" multiple="multiple">
               <option value="all"><?php _e('All','wpmegapack'); ?></option>
               <?php 
                    $categories = get_categories(); 
                    foreach ($categories as $category) {
                    $option = '<option value="'.$category->slug.'">';
                    $option .= $category->cat_name;
                    $option .= ' ('.$category->category_count.')';
                    $option .= '</option>';
                    echo $option;
                    }
                ?>
               </select>
           </div>
           
           <div class="wpmp-field">
               <p class="wpmp-title"><?php _e('Select Tags (Multiple tags is allowed)', 'wpmegapack'); ?></p>
                    
               <select id="wpmp_tags" multiple="multiple">
               <option value="all"><?php _e('All','wpmegapack'); ?></option>
               <?php 
                    $tags = get_tags(); 
                    foreach ($tags as $tag) {
                    $option = '<option value="'.$tag->slug.'">';
                    $option .= $tag->name;
                    $option .= '</option>';
                    echo $option;
                    }
                ?>
               </select> 
           </div>      
         </div> <!-- #wpmegapack_post_category -->
    
    	<div class="wpmp-field">
    
             <p class="wpmp-title wpmp-inline"><?php _e('Order Posts: ', 'wpmegapack'); ?></p>			
                
                <select id="wpmp_order">  
                    
                           <option value="DESC"><?php _e('DESC', 'wpmegapack'); ?></option>
                           <option value="ASC"><?php _e('ASC', 'wpmegapack'); ?></option>
                    
                </select>  
        </div>
        
        <div class="wpmp-field">             
             <p class="wpmp-title wpmp-inline"><?php _e('Posts Order By: ', 'wpmegapack'); ?></p>			
                
                <select id="wpmp_orderby">  
                    
                           <option value="none"><?php _e('none', 'wpmegapack'); ?></option>
                           <option value="ID"><?php _e('ID', 'wpmegapack'); ?></option>
                           <option value="author"><?php _e('author', 'wpmegapack'); ?></option>
                           <option value="title"><?php _e('title', 'wpmegapack'); ?></option>
                           <option value="name"><?php _e('name', 'wpmegapack'); ?></option>
                           <option value="date"><?php _e('date', 'wpmegapack'); ?></option>
                           <option value="modified"><?php _e('modified', 'wpmegapack'); ?></option>
                           <option value="parent"><?php _e('parent', 'wpmegapack'); ?></option>
                           <option value="rand"><?php _e('rand', 'wpmegapack'); ?></option>
                           <option value="views"><?php _e('Post Views', 'wpmegapack'); ?></option>
                           
                </select>    
		</div>
 
 		<div class="pagination_container" style="display:none">
 
            <div class="wpmp-field">             
                 <p class="wpmp-title wpmp-inline"><?php _e('Pagination: ', 'wpmegapack'); ?></p>
    
                 <select id="wpmp_pagination">  
                        
                               <option value="no"><?php _e('Off', 'wpmegapack'); ?></option>
                               <option value="yes"><?php _e('On', 'wpmegapack'); ?></option>
                               
                 </select>              
                 
            </div>      
    
            <div class="wpmp-field">             
                 <p class="wpmp-title wpmp-inline"><?php _e('Pagination Type: ', 'wpmegapack'); ?></p>
    
                 <select id="wpmp_pagination_type">  
                        
                               <option value="numeric"><?php _e('Numeric', 'wpmegapack'); ?></option>
                               <option value="normal"><?php _e('Normal', 'wpmegapack'); ?></option>
                               
                 </select>              
                 
            </div> 
    
    		<div class="pagination-posts-per-page" style="display:none">
    
                <div class="wpmp-field">             
                     <p class="wpmp-title wpmp-inline"><?php _e('Num Posts per Page: ', 'wpmegapack'); ?></p>
        
                     <input type="text" id="wpmp_num_posts_page" value="">             
                     
                </div> 
    
    		</div>
            
            <div class="posts-to-load">
    
                <div class="wpmp-field">             
                     <p class="wpmp-title wpmp-inline"><?php _e('Num Posts to Load: ', 'wpmegapack'); ?></p>
        
                     <input type="text" id="wpmp_num_posts" value="">             
                     
                </div> 
        
        	</div>
        
        </div>
        
	</div> <!-- #query_box -->




     <div id="header_display_type1">
	 
	 <?php require('header-display-type1.php'); ?>    
     
     </div>

     <div id="header_display_type2" style="display:none;">
	 
	 <?php require('header-display-type2.php'); ?>    
     
     </div>

     <div id="header_display_type3" style="display:none;">
	 
	 <?php require('header-display-type3.php'); ?>    
     
     </div>

     <div id="header_display_type4" style="display:none;">
	 
	 <?php require('header-display-type4.php'); ?>    
     
     </div>    

     <div id="header_display_type5" style="display:none;">
	 
	 <?php require('header-display-type5.php'); ?>    
     
     </div> 

     <div id="post_display_type1" style="display:none;">
	 
	 <?php require('post_display_type1.php'); ?>    
     
     </div> 

     <div id="post_display_type2" style="display:none;">
	 
	 <?php require('post_display_type2.php'); ?>    
     
     </div> 
 
     <div id="post_display_type3" style="display:none;">
	 
	 <?php require('post_display_type3.php'); ?>    
     
     </div> 

     <div id="post_display_type4" style="display:none;">
	 
	 <?php require('post_display_type4.php'); ?>    
     
     </div> 

     <div id="post_display_type5" style="display:none;">
	 
	 <?php require('post_display_type5.php'); ?>    
     
     </div> 

     <div id="post_display_type6" style="display:none;">
	 
	 <?php require('post_display_type6.php'); ?>    
     
     </div> 

     <div id="post_display_type7" style="display:none;">
	 
	 <?php require('post_display_type7.php'); ?>    
     
     </div> 
 
     <div id="post_display_type8" style="display:none;">
	 
	 <?php require('post_display_type8.php'); ?>    
     
     </div>  

     <div id="post_display_type9" style="display:none;">
	 
	 <?php require('post_display_type9.php'); ?>    
     
     </div>  
 
     <div id="post_display_type10" style="display:none;">
	 
	 <?php require('post_display_type10.php'); ?>    
     
     </div> 

     <div id="news_ticker_type1" style="display:none;">
	 
	 <?php require('news_ticker_type1.php'); ?>    
     
     </div> 
      
     <div id="wpmp_columns" style="display:none"> 
         
         <p class="title"><?php _e('Columns','wpmegapack'); ?></p>
     
         <select id="wpmegapack-columns-value">
    
             <option value="col_2">2</option>
             <option value="col_3">3</option>
             <option value="col_4">4</option>
             <option value="col_5">5</option>
             <option value="col_6">6</option>
             <option value="col_13_23">1/3 + 2/3</option>
             <option value="col_23_13">2/3 + 1/3</option>
             <option value="col_14_34">1/4 + 3/4</option>
             <option value="col_34_14">3/4 + 1/4</option>
             <option value="col_15_45">1/5 + 4/5</option>
             <option value="col_45_15">4/5 + 1/5</option>
             <option value="col_16_56">1/6 + 5/6</option>
             <option value="col_56_16">5/6 + 1/6</option>        
                               
         </select>
      
      
      </div>
            
	</div>
     
      
      
      
        
     <div class="wpmp_clear_box"></div>
        
     <br />
     <br />
            
     <input name="wpmegapack-generator-insert" type="submit" class="button button-primary button-large" id="wpmegapack-generator-insert" value="<?php _e('Insert Shortcode','wpmegapack'); ?>">
       
   </div> <!-- #wpmegapack-generator -->

</div> <!-- #wpmegapack-generator-wrap -->


   
	<?php

}


add_action( 'admin_footer', 'wpmegapack_generator' );
