<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

function wpmp_header_display ( $attr ) {	
		
		static $instance = 0;
		$instance++;	
				
		extract(
			shortcode_atts(
				array(
					"type"				=> '',
					
					// QUERY					
					"source" 				=> '',
					"posts_source" 			=> '',
					"post_type" 			=> '',
					"categories" 			=> '',
					"tags" 					=> '',									
					"categories_post_type" 	=> '',
					"pagination" 			=> 'off',
					"pagination_type" 		=> '',
					"num_posts_page" 		=> '',
					"num_posts" 			=> '', 	
					"orderby" 				=> 'date',
					"order" 				=> 'DESC',		 			
					
					// OPTIONS		
					"date" 					=> 'true',		
					"date_format" 			=> '',									
					"comments" 				=> 'true',
					"author" 				=> 'true',
					"view" 					=> 'true',
					"category_show" 		=> 'true',
					"social" 				=> 'true',
					
					// STYLE
					"layout"				=> 'layout1',
					"custom_style" 			=> 'off',
					"maincolor" 			=> '#e74c3c',	
					"secondarycolor" 		=> '#FFFFFF',
					"thirdcolor"			=> '#000000',
					
					// CAROUSEL	
							
					"lazy_load"	 			=> 'false',   
					"item_show"				=> '4', 
					"item_show_900"			=> '3',
					"item_show_600"			=> '1',
					"autoplay"				=> '2000',
					"navigation"			=> 'true'
					
											
					), 
					$attr)
		);	
		
		/************************* SCRIPT LOAD **************************/

		wp_enqueue_style( 'wpmegapack-columns' );
		wp_enqueue_style( 'wpmegapack-fonts' );

		if($type == 'type1') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-header1' );
				$header_type = 'wpmp_post_display1';
			} else {
				wp_enqueue_style( 'wpmegapack-header1_bis' );
				$header_type = 'wpmp_post_display1_bis';
			}
			$num_posts = 3;
			
		}
		if($type == 'type2') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-header2' );
				$header_type = 'wpmp_post_display2';
			} else {
				wp_enqueue_style( 'wpmegapack-header2_bis' );
				$header_type = 'wpmp_post_display2_bis';				
			}
			$num_posts = 4;
			
		}
		if($type == 'type3') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-header3' );
				$header_type = 'wpmp_post_display3';
			} else {
				wp_enqueue_style( 'wpmegapack-header3_bis' );
				$header_type = 'wpmp_post_display3_bis';				
			}
			 
			$num_posts = 4;
			
		}
		if($type == 'type4') {

			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-header4' );
				$header_type = 'wpmp_post_display4 owl-carousel';
			} else {
				wp_enqueue_style( 'wpmegapack-header4_bis' );   
				$header_type = 'wpmp_post_display4_bis owl-carousel';				
			}	
					
			wp_enqueue_style( 'owl-carousel-css' );
			wp_enqueue_script( 'wpmp-owl.carousel-js' );
			
		}
		if($type == 'type5') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-header5' );
				$header_type = 'wpmp_post_display5';
			} else {
				wp_enqueue_style( 'wpmegapack-header5_bis' );   
				$header_type = 'wpmp_post_display5_bis';				
			}			
		
			$num_posts = 4;
			$type5_big_post = $type5_small_post = '';
			
		}													
		
		
		// LOOP QUERY
		$query = wpmegapack_query($source,
								  $posts_source, 
								  $post_type, 
								  $categories,
								  $categories_post_type, 
								  $order, 
								  $orderby, 
								  $pagination, 
								  $pagination_type,
								  $num_posts, 
								  $num_posts_page);
		
		$return = '';
		
		if($custom_style == 'on') {	
			$return .= wpmp_header_custom_style($instance,$type,$layout,$maincolor,$secondarycolor,$thirdcolor);
		}		
		
		if($type == 'type4') {
			$return .= wpmp_header_custom_js($instance,$lazy_load,$item_show,$item_show_900,$item_show_600,$autoplay,$navigation);	
		}
		
		
		
		$return .= '<div class="wpmp-clear"></div>';
		
		$count = 0;
		
		$return .= '<div class="wpmegapack '.$header_type.' wpmepack-header-'.$instance.'">';
		
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();
		$id_post = get_the_id();
		$link = get_permalink(); 
		
		/**********************************************************************/
		/******************************** TYPE 1 ******************************/
		/**********************************************************************/
				
		if($type == 'type1') {

			if($layout == 'layout1') {

				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/			

			if($count == '0') {
				
				$return .= '<style>.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .ad_three_fifth { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		

				$return .= '<div class="wpmegapack-item ad_three_fifth big-post">';
				
				if($category_show == 'true') {
				
					$return .= '<div class="category">
									'.wpmegapack_category($source,$post_type).'
								</div>';	
									
				}
				
				if($social == 'true') {
									
            		$return .= wpmegapack_share();					

				}

            	$return .= '<div class="title-info-post">
							<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
							</h2>';
				
				if($date == 'true') {
							
					$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
				
				}
				
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$return	.= '<div class="info-post">';
				
				}
				
				if($comments == 'true') {
				
					$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
					
					if($author == 'true' || $view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}
				
				if($author == 'true') {
						
					$return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								
								
					if($view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}			
					
				if($view == 'true') {
						
					$return	.= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
						
				}
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$return	.= '</div>'; // #INFO-POST
                
					}
				
            	$return .= '</div></div>'; 

			
			} else { // OTHERS POSTS
			
				$return .= '<style>.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
				
				$return .=  '<div class="wpmegapack-item ad_two_fifth ad_margin first wpmepack-element-'.$count.'">';
				
				if($category_show == 'true') {
				
					$return .= '<div class="category">
									'.wpmegapack_category($source,$post_type).'
								</div>';	
									
				}
				
				if($social == 'true') {
									
            		$return .= wpmegapack_share();					

				}

            	$return .= '<div class="title-info-post">
							<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
							</h2>';
				
				if($date == 'true') {
							
					$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
				
				}
				
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$return	.= '<div class="info-post">';
				
				}
				
				if($comments == 'true') {
				
					$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
					
					if($author == 'true' || $view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}
				
				if($author == 'true') {
						
					$return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								
								
					if($view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}			
					
				if($view == 'true') {
						
					$return	.= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
						
				}
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$return	.= '</div>'; // #INFO-POST
                
					}
				
            	$return .= '</div></div>'; 	
				
			
			
			}
		
			} else {

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/
				
				if($count == '0') {
					
					$return .= '<style>.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .ad_three_fifth { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';
					$return .= '<div class="wpmegapack-item ad_three_fifth big-post">';				
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }	
					
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return	.= '<div class="info-post">'; }
						if($comments == 'true') {	$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
							if($author == 'true' || $view == 'true') {	$return	.= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
							if($view == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($view == 'true') { $return .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return .= '</div>'; /* #INFO-POST */ }					
					
					if($social == 'true') { $return .= wpmegapack_share(); }
					
            		$return .= '<div class="title-info-post"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';			
					if($date == 'true') { $return .= '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }					
					$return .= '</div>';				
					$return .= '</div>';
				
				} else {				

					$return .= '<style>.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
					$return .=  '<div class="wpmegapack-item ad_two_fifth ad_margin first wpmepack-element-'.$count.'">';
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>';	

					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return	.= '<div class="info-post">'; }
						if($comments == 'true') {	$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
							if($author == 'true' || $view == 'true') {	$return	.= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
							if($view == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($view == 'true') { $return .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return .= '</div>'; /* #INFO-POST */ }					

					if($social == 'true') { $return .= wpmegapack_share(); }
					
            		$return .= '<div class="title-info-post"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';			
					if($date == 'true') { $return .= '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }					
					$return .= '</div>';
					$return .= '</div>';				
				}
				
				
				} // CLOSE COUNT POSTS
				
			} // CLOSE LAYOUT 2
		
		} // CLOSE HEADER TYPE 1
		
		/**********************************************************************/
		/******************************** TYPE 2 ******************************/
		/**********************************************************************/		
		
		if($type == 'type2') {
			
			if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/				
			
			if($count == '0') {
			
				$return .= '<style>.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .ad_one_one.ad_last.wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
		
				$return	.= '<div class="wpmegapack-item ad_one_one ad_last big-post wpmepack-element-'.$count.'">';
		
				if($category_show == 'true') {
				
					$return .= '<div class="category">
									'.wpmegapack_category($source,$post_type).'
								</div>';	
									
				}
				
				if($social == 'true') {
									
            		$return .= wpmegapack_share();					

				}

            	$return .= '<div class="title-info-post">
							<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
							</h2>';
				
				if($date == 'true') {
							
					$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
				
				}
				
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$return	.= '<div class="info-post">';
				
				}
				
				if($comments == 'true') {
				
					$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
					
					if($author == 'true' || $view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}
				
				if($author == 'true') {
						
					$return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								
								
					if($view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}			
					
				if($view == 'true') {
						
					$return	.= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
						
				}
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$return	.= '</div>'; // #INFO-POST
                
					}
				
            	$return .= '</div></div>'; 		
		
		} else {
			
				if($count == '1') { $count_class = 'first'; }
				if($count == '2') { $count_class = 'second'; }
				if($count == '3') { $count_class = 'third'; }
			
			$return .= '<style>.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' .photo { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
			
        	$return .= '<div class="wpmegapack-item ad_one_third ad_margin wpmepack-element-'.$count.' '.$count_class.'"><div class="photo"></div>';
        	
            $return .= '<div class="box-post">';
                
				if($category_show == 'true') {
				
					$return .= '<div class="category">
									'.wpmegapack_category($source,$post_type).'
								</div>';	
									
				}
				
               $return .= ' <div class="title-info-post">
                    <h4 class="title-post">
                        <a href="'.$link.'">'.get_the_title().'</a>
                    </h4>';
					
				if($date == 'true') {
							
					$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
				
				}                
				
				$return .= '</div>';
				
				
            $return .= '</div>';
			
			   
        $return .= '</div>';		
			
		}
		
			} else { 

				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/				
				
				if($count == '0') {
				
					$return .= '<style>.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .ad_one_one.ad_last.wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';	
					$return	.= '<div class="wpmegapack-item ad_one_one ad_last big-post wpmepack-element-'.$count.'">';				
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }				
				
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return	.= '<div class="info-post">'; }
						if($comments == 'true') {	$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
							if($author == 'true' || $view == 'true') {	$return	.= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
							if($view == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($view == 'true') { $return .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return .= '</div>'; /* #INFO-POST */ }					
					
					if($social == 'true') { $return .= wpmegapack_share(); }
					
            		$return .= '<div class="title-info-post"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';			
					if($date == 'true') { $return .= '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }					
					$return .= '</div>';				
					$return .= '</div>';				
				
				} else {
					
					if($count == '1') { $count_class = 'first'; }
					if($count == '2') { $count_class = 'second'; }
					if($count == '3') { $count_class = 'third'; }					
					
					$return .= '<style>.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' .photo { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';
        			$return .= '<div class="wpmegapack-item ad_one_third ad_margin wpmepack-element-'.$count.' '.$count_class.'">';
					
					$return .= '<div class="photo">';	
						if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }	
					$return .= '</div>';
            		
					$return .= '<div class="box-post">';				
               			$return .= '<div class="title-info-post"><h4 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h4>';
						if($date == 'true') {	$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }				
						$return .= '</div>';
					$return .= '</div>';
									
					$return .= '</div>';
					
				} // #COUNT	
				
			} // #LAYOUT 2
		
		} // #TYPE 2
		
		
		
		
		/**********************************************************************/
		/******************************** TYPE 3 ******************************/
		/**********************************************************************/
				
		if($type == 'type3') {		

			if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/

		
			if($count == '0') {
				
		
				$return .= '<style>.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
		
				$return	.= '<div class="wpmegapack-item ad_three_fifth big-post wpmepack-element-'.$count.'">';
		
				if($category_show == 'true') {
				
					$return .= '<div class="category">
									'.wpmegapack_category($source,$post_type).'
								</div>';	
									
				}
				
				if($social == 'true') {
									
            		$return .= wpmegapack_share();					

				}

            	$return .= '<div class="title-info-post">
							<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
							</h2>';
				
				if($date == 'true') {
							
					$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
				
				}
				
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$return	.= '<div class="info-post">';
				
				}
				
				if($comments == 'true') {
				
					$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
					
					if($author == 'true' || $view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}
				
				if($author == 'true') {
						
					$return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								
								
					if($view == 'true') {
					
						$return	.= '<div class="separator">-</div>';
						
					}
					
				}			
					
				if($view == 'true') {
						
					$return	.= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
						
				}
				
				if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$return	.= '</div>'; // #INFO-POST
                
					}
				
            	$return .= '</div></div>'; 		
		
			} else {			

				if($count == '1') { $count_class = 'first'; $columns_class = 'ad_one_fifth'; }
				if($count == '2') { $count_class = 'second'; $columns_class = 'ad_one_fifth'; }
				if($count == '3') { $count_class = 'third'; $columns_class = 'ad_two_fifth'; }

				
				$return .= '<style>.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
				
				$return .= '<div class="wpmegapack-item '.$columns_class.' ad_margin wpmepack-element-'.$count.' '.$count_class.'">';
					
					if($category_show == 'true') {
					
						$return .= '<div class="category">
										'.wpmegapack_category($source,$post_type).'
									</div>';	
										
					}

					if($social == 'true') {
										
						$return .= wpmegapack_share();					
	
					}
					
				   $return .= ' <div class="title-info-post">
						<h4 class="title-post">
							<a href="'.$link.'">'.get_the_title().'</a>
						</h4>';
						
					if($date == 'true') {
								
						$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
					
					}    
					
				if($count == '3') { #COUNT 3
					
					if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$return	.= '<div class="info-post">';
				
					}
				
					if($comments == 'true') {
					
						$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
						
						if($author == 'true' || $view == 'true') {
						
							$return	.= '<div class="separator">-</div>';
							
						}
						
					}
				
					if($author == 'true') {
							
						$return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									
									
						if($view == 'true') {
						
							$return	.= '<div class="separator">-</div>';
							
						}
						
					}			
					
					if($view == 'true') {
							
						$return	.= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
							
					}
				
					if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$return	.= '</div>'; // #INFO-POST
                
					}
						
				
				   } #END IF COUNT 3
			
			$return .= '</div>'; /* #Close title-info-post */  
				   
			$return .= '</div>'; 		
				
			}
			
			} else {
				
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/				
				
				if($count == '0') {
				
					$return .= '<style>.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
					$return	.= '<div class="wpmegapack-item ad_three_fifth big-post wpmepack-element-'.$count.'">';				
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }
				
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return	.= '<div class="info-post">'; }
						if($comments == 'true') {	$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
							if($author == 'true' || $view == 'true') {	$return	.= '<div class="separator">-</div>'; }
						}				
						if($author == 'true') { $return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
							if($view == 'true') { $return .= '<div class="separator">-</div>'; }
						}					
						if($view == 'true') { $return .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
					if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return .= '</div>'; /* #INFO-POST */ }					
					
					if($social == 'true') { $return .= wpmegapack_share(); }				
				
            		$return .= '<div class="title-info-post"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';			
					if($date == 'true') { $return .= '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }					
					$return .= '</div>';				
					$return .= '</div>';					
				
				} else {
							
					if($count == '1') { $count_class = 'first'; $columns_class = 'ad_one_fifth'; }
					if($count == '2') { $count_class = 'second'; $columns_class = 'ad_one_fifth'; }
					if($count == '3') { $count_class = 'third'; $columns_class = 'ad_two_fifth'; }					
					
					$return .= '<style>.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';
        			$return .= '<div class="wpmegapack-item '.$columns_class.' ad_margin wpmepack-element-'.$count.' '.$count_class.'">';
						
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }	
					
					if($count == '3') {
					
						if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return	.= '<div class="info-post">'; }
							if($comments == 'true') {	$return	.= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
								if($author == 'true' || $view == 'true') {	$return	.= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $return	.= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								if($view == 'true') { $return .= '<div class="separator">-</div>'; }
							}					
							if($view == 'true') { $return .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
						if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $return .= '</div>'; /* #INFO-POST */ }	

					}
            		
					if($social == 'true') { $return .= wpmegapack_share(); }
					
					$return .= '<div class="box-post">';				
               			$return .= '<div class="title-info-post"><h4 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h4>';
						if($date == 'true') {	$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }				
						$return .= '</div>';
					$return .= '</div>';
									
					$return .= '</div>';		
					
					
				} // #COUNT			
				
			} // #LAYOUT 2
			
		} // #TYPE 3	
		
		
		/**********************************************************************/
		/******************************** TYPE 4 ******************************/
		/**********************************************************************/
				
		if($type == 'type4') {	
				
			if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/
				
				$return .= '<div class="wpmegapack-item ad_one_one ad_last big-post first item wpmepack-element-'.$count.'">';
				
				$return .= '<style>.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		

				if($social == 'true') {
									
            		$return .= wpmegapack_share();					

				}
	
				$return .= '<div class="title-info-post">';
		
				if($category_show == 'true') {
					
						$return .= '<div class="category">
										'.wpmegapack_category($source,$post_type).'
									</div>';	
										
				}
		
				$return .= '<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
							</h2>';
							
				if($date == 'true') {
								
						$return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>';
					
				}							
							
				$return .= '</div></div>';		
		
			} else {
				
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/				

				$return .= '<div class="wpmegapack-item ad_one_one ad_last big-post first item wpmepack-element-'.$count.'">';		
				$return .= '<style>.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.' { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
				
				if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }				
				if($social == 'true') { $return .= wpmegapack_share(); }
				$return .= '<div class="title-info-post">';				
					$return .= '<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
					if($date == 'true') { $return .=  '<span class="data"><div class="icon-calendar"></div>'.get_the_date($date_format).'</span>'; }				
				$return .= '</div>';
				
				$return .= '</div>';
				
			} // #LAYOUT 2
			
		} // #TYPE 4
			
		/**********************************************************************/
		/******************************** TYPE 5 ******************************/
		/**********************************************************************/
		
		if($type == 'type5') {
			
				if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/	

		if($count == '0') { $class_active = 'active'; $style = 'style="display:block"'; } else { $class_active = ''; $style = 'style="display:none"';}
		
		$type5_big_post .= '<style>.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.'.big-post { background-image:url('.wpmegapack_thumbs_url($id_post).'); }
							.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.'.mini-post .img-post { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		

		$type5_big_post .= '<div class="ad_two_third" '.$style.'>
				<div class="wpmepack-element-'.$count.' wpmegapack-item ad_one_one ad_last big-post first ad_one_half">';
				if($category_show == 'true') {
					
						$type5_big_post .= '<div class="category">
										'.wpmegapack_category($source,$post_type).'
									</div>';	
										
				}				
				if($social == 'true') {
									
            		$type5_big_post .= wpmegapack_share();					

				}

            $type5_big_post .= '</div>  
            					<div class="title-info-post ad_one_half">
								<h2 class="title-post">
								<a href="'.$link.'">'.get_the_title().'</a>
								</h2>
								<p class="text-post">'.wpmegapack_excerpt(300,'...').'</p>
								<div class="info-post">';
								if($date == 'true') {
								
									$type5_big_post .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>';
					
								}									
								 $type5_big_post .= '<div class="separator">-</div>';
								if($author == 'true') {
							
									$type5_big_post .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'" class="view"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
					
								}
								
			$type5_big_post .= '</div>
							</div> 
						</div>';			
			
			
			$type5_small_post .= '<div class="wpmepack-element-'.$count.' mini-post small-post ad_one_third first">
            <div class="img-post ad_one_fourth"></div>
            <div class="content-post ad_three_fourth">
                <h2 class="title-post">
                	<a id="wpmepack-element-'.$count.'">'.get_the_title().'</a>
                </h2>';
					if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
					$type5_small_post .= '<div class="info-post">';
				
					}
				
					if($comments == 'true') {
					
						$type5_small_post .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
						
						if($author == 'true' || $view == 'true') {
						
							$type5_small_post .= '<div class="separator">-</div>';
							
						}
						
					}
				
					if($author == 'true') {
							
						$type5_small_post .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
									
									
						if($view == 'true') {
						
							$type5_small_post .= '<div class="separator">-</div>';
							
						}
						
					}			
					
					if($view == 'true') {
							
						$type5_small_post .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>';
							
					}
				
					if( $comments == 'true' || 
					$author == 'true' || 
					$view == 'true'  ) {
				
						$type5_small_post .= '</div>'; // #INFO-POST
                
					}
            $type5_small_post .= '</div>
		</div>';			
			
			
				} else {
					
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/
					
				if($count == '0') { $class_active = 'active'; $style = 'style="display:block"'; } else { $class_active = ''; $style = 'style="display:none"';}
				
				$type5_big_post .= '<style>.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.'.big-post { background-image:url('.wpmegapack_thumbs_url($id_post).'); }
										.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .wpmepack-element-'.$count.'.mini-post .img-post { background-image:url('.wpmegapack_thumbs_url($id_post).'); }</style>';		
			
				$type5_big_post .= '<div class="ad_two_third" '.$style.'><div class="wpmepack-element-'.$count.' wpmegapack-item ad_one_one ad_last big-post first ad_one_half">';
					if($category_show == 'true') { $type5_big_post .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }				
					if($social == 'true') { $type5_big_post .= wpmegapack_share(); }								
				$type5_big_post .=	'</div>';
						
            	$type5_big_post .= '<div class="title-info-post ad_one_half"><h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>
									<p class="text-post">'.wpmegapack_excerpt(300,'...').'</p><div class="info-post">';
					if($date == 'true') { $type5_big_post .= '<span class="data"><i class="icon-calendar"></i>'.get_the_date($date_format).'</span>'; }									
								 		  $type5_big_post .= '<div class="separator">-</div>';
					if($author == 'true') { $type5_big_post .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'" class="view"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>'; }
								
				$type5_big_post .= '</div></div></div>';					
					
				$type5_small_post .= '<div class="wpmepack-element-'.$count.' mini-post small-post ad_one_one"><div class="img-post ad_one_fourth"></div><div class="content-post ad_three_fourth"><h2 class="title-post"><a id="wpmepack-element-'.$count.'">'.get_the_title().'</a></h2>';				
				
				if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $type5_small_post .= '<div class="info-post">'; }
							if($comments == 'true') {	$type5_small_post .= '<a href="'.get_comments_link().'" class="comments"><i class="icon-bubbles4"></i>'.get_comments_number().'</a>';
								if($author == 'true' || $view == 'true') {	$type5_small_post .= '<div class="separator">-</div>'; }
							}				
							if($author == 'true') { $type5_small_post .= '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'"><i class="icon-user"></i>'.get_the_author_meta( 'display_name' ).'</a>';
								if($view == 'true') { $type5_small_post .= '<div class="separator">-</div>'; }
							}					
							if($view == 'true') { $type5_small_post .= '<span class="view"><i class="icon-eye"></i>'.wpmegapack_get_post_views(get_the_ID()).'</span>'; }
						if( $comments == 'true' || $author == 'true' || $view == 'true'  ) { $type5_small_post .= '</div>'; /* #INFO-POST */ }	
				
				$type5_small_post .= '</div></div>';
				
				} // #LAYOUT 2
						
		} // #TYPE 5
			
		
			
		$count++;
		endwhile; // #WHILE
		} // #LOOP	
		
		// RETURN VALUE FOR TYPE 5
		if($type == 'type5') {
			if($layout == 'layout1') { 
			
				$return .= '<script>jQuery(document).ready(function($){';
				
				$return .= '$(".wpmp_post_display5 .mini-post .title-post a").on(\'click\', function(event) {
					var id_value = $(this).attr(\'id\');
					$(this).parent().parent().parent().parent().find(\'.ad_two_third\').css("display", "none");
					$(this).parent().parent().parent().parent().find(\'.\' + id_value).parent().fadeIn();
				})';
				
				$return .= '});	</script>';
			
				$return .= $type5_big_post . $type5_small_post; 
			
			} else { 
			
				$return .= '<script>jQuery(document).ready(function($){';
				
				$return .= '$(".wpmp_post_display5_bis .mini-post .title-post a").on(\'click\', function(event) {
					var id_value = $(this).attr(\'id\');
					$(this).parent().parent().parent().parent().parent().find(\'.ad_two_third\').css("display", "none");
					$(this).parent().parent().parent().parent().parent().find(\'.\' + id_value).parent().fadeIn();
				})';
				
				$return .= '});	</script>';			
			
				$return .=  '<div class="ad_one_third">'.$type5_small_post.'</div>' . $type5_big_post; 
			}
		}	
				
		$return .= '</div>';
		
		$return .= '<div class="wpmp-clear"></div>';
		return $return;

}

add_shortcode("wpmp_header_display", "wpmp_header_display");


function wpmp_header_custom_style($instance,$type,$layout,$maincolor,$secondcolor,$thirdcolor) {
	
	$return = '<style type="text/css">';
	
	if($type == 'type1') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin.first .title-info-post a, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post span, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin.first .title-info-post span, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post span,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post i, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin i,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .separator {
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post {
							background:'.$maincolor.';						
						}
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .icon-calendar {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post a:hover, 
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post a:hover,  
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .share .icon a:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post span:hover,
						.wpmegapack.wpmp_post_display1.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post span:hover {
							color:'.$thirdcolor.';
						}';
		
		} else {
			
			$return .= '.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .separator {
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post, 
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .icon-calendar,
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a:hover {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post a:hover, 
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post a:hover,  
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .share .icon a:hover,
						.wpmegapack.wpmp_post_display1_bis.wpmepack-header-'.$instance.' .category a:hover  {
							color:'.$thirdcolor.';
						}';
						
		}	
		
	}
	
	if($type == 'type2') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .box-post,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .ad_one_third .category a,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .separator,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post span {
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin {
							background:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .ad_one_third .category a {
							border-right:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .box-post:hover .title-info-post .title-post a,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .data:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .icon-calendar {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display2.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post a:hover {
							color:'.$thirdcolor.';
						}
			';
		
		} else {
			
			$return .= '.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .ad_one_third .category a {
							border-top: 2px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .box-post:hover .title-info-post .title-post a,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .data:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .icon-calendar {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .box-post,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin.second,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin.third {
							background:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .ad_one_third .category a,					
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post span,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post a,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post span,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .separator {
							color:'.$secondcolor.';
						}				
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .info-post a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .data,
						.wpmegapack.wpmp_post_display2_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_third.ad_margin .title-info-post h4 a {
							color:'.$thirdcolor.';
						}';
			
		}
		
	}	
	
	if($type == 'type3') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.ad_margin .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a:hover,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .icon-calendar {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .category a,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.ad_margin .title-info-post a, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item .title-info-post span,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post i, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin i, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .separator {
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post a:hover, 
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post a:hover,  
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .share .icon a:hover,
						.wpmegapack.wpmp_post_display3.wpmepack-header-'.$instance.' .category a:hover {
							color:'.$thirdcolor.';
						}						
						';
		
		} else {
			
			$return .= '.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .category a,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .ad_one_fifth .share,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .ad_one_fifth .share a,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.ad_margin .title-info-post a, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post span,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post span,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post i, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin i,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post a, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth .info-post a,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post span,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth .info-post span,						
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.big-post .title-info-post span,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.ad_margin .title-info-post span,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .separator,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .data {
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .ad_one_fifth .share,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_fifth.ad_margin .title-info-post a:hover, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .title-info-post a:hover,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .icon-calendar {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_three_fifth.big-post .info-post a:hover, 
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_two_fifth.ad_margin .info-post a:hover,  
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .share .icon a:hover,
						.wpmegapack.wpmp_post_display3_bis.wpmepack-header-'.$instance.' .category a:hover {
							color:'.$thirdcolor.';
						}';
							
		}
		
	}
	
	if($type == 'type4') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.'  .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.'  .ad_one_third .category a {
							border-right:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.'  .category a:hover,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.'  .share {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a:hover,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .icon-calendar,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .owl-controls .owl-nav [class*="owl-"]:hover {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .ad_one_third .category a,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post span,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post .category a:hover	{
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display4.wpmepack-header-'.$instance.' .category a:hover {
							color:'.$thirdcolor.'!important;
						}					
						';
						
		} else {
			
			$return .= '.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.'  .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.'  .ad_one_third .category a {
							border-right:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.'  .category a:hover,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.'  .share {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a:hover,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .icon-calendar,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .owl-controls .owl-nav [class*="owl-"]:hover {
							color:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .ad_one_third .category a,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post a,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post .title-info-post span	{
							color:'.$secondcolor.';
						}
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .share a:hover,
						.wpmegapack.wpmp_post_display4_bis.wpmepack-header-'.$instance.' .category a:hover {
							color:'.$thirdcolor.'!important;
						}					
						';
			
		}
	}
	
	if($type == 'type5') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .ad_one_third .category a {
							border-right:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .share .info-comments {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .info-post i,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .title-info-post.ad_one_half a:hover,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .icon-calendar,
						.wpmp_post_display5.wpmepack-header-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display5.wpmepack-header-'.$instance.' .mini-post .info-post a:hover  {
							color:'.$maincolor.';
						}';
	
			$return .= '.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .ad_one_third .category a,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .title-info-post.ad_one_half p,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .info-post a,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .title-info-post.ad_one_half span,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .separator,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .view,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .title-info-post.ad_one_half a,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .title-info-post.ad_one_half span,
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmp_post_display5.wpmepack-header-'.$instance.' .mini-post .title-post a {
							color:'.$secondcolor.';
						}';
			
			$return .= '.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.',
						.wpmegapack.wpmp_post_display5.wpmepack-header-'.$instance.' .ad_one_third .category a {
							background:'.$thirdcolor.';
						}';
		
		} else {
			
			$return .= '.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .ad_one_one .category a {
							border-left:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .ad_one_one .category a {
							border-right:5px solid '.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .share .info-comments {
							background:'.$maincolor.';
						}
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .info-post i,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .title-info-post.ad_one_half a:hover,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .icon-calendar,
						.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .mini-post .title-post a:hover,
						.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .mini-post .info-post a:hover  {
							color:'.$maincolor.';
						}';
	
			$return .= '.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .ad_one_one .category a,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .ad_one_third .category a,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .category a:hover,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .share,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .title-info-post.ad_one_half p,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .info-post a,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .title-info-post.ad_one_half span,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .separator,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .view,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .share a,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .share-icon:hover,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .title-info-post.ad_one_half a,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .title-info-post.ad_one_half span,
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .wpmegapack-item.ad_one_one.ad_last.big-post i,
						.wpmp_post_display5.wpmepack-header-'.$instance.' .mini-post .title-post a {
							color:'.$secondcolor.';
						}';
			
			$return .= '.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.',
						.wpmegapack.wpmp_post_display5_bis.wpmepack-header-'.$instance.' .ad_one_third .category a {
							background:'.$thirdcolor.';
						}';
						
		}
		
		
	}
	
	
	$return .= '</style>';
	
	
	return $return;
}

function wpmp_header_custom_js($instance,$lazy_load,$item_show,$item_show_900,$item_show_600,$autoplay,$navigation) {
	
		if($item_show == 'default') { $item_show = '4'; }
		if($item_show_900 == 'default') { $item_show_900 = '3'; }
		if($item_show_600 == 'default') { $item_show_600 = '1'; }	
	
		$return = '<script type="text/javascript">
					jQuery(document).ready(function($){
					$(\'.wpmepack-header-'.$instance.'\').owlCarousel({
						loop:false,
						margin:10,
						nav:'.$navigation.',
						lazyLoad: '.$lazy_load.',
						dots:false,';
		if(!empty($autoplay) || $autoplay != '') { 
				$return .= 'autoplay: true,
				autoplayTimeout: '.$autoplay.',';
		}
		$return .= 'navText: [\'<i class="icon-arrow-left2"></i>\',\'<i class="icon-arrow-right2"></i>\'],
						responsive:{
							0:{
								items:'.$item_show_600.'
							},
							600:{
								items:'.$item_show_600.'
							},
							700:{
								items:'.$item_show_600.'
							},
							800:{
								items:'.$item_show_900.'
							},
							900:{
								items:'.$item_show_900.'
							},
							1000:{
								items:'.$item_show_900.'
							},
							1200:{
								items:'.$item_show.'
							}
							
						}
					});
				});		
				</script>';	
	
	
	
	
	return $return;
}


?>