<?php
/*
Plugin Name: Wordpress Mega Pack for News, Blog and Magazine - All you need
Author: Ad-theme.com
*/

function wpmp_news_ticker ( $attr ) {	

		static $instance = 0;
		$instance++;	
				
		extract(
			shortcode_atts(
				array(
					"type"					=> '',
					"name"					=> '',
					
					// QUERY					
					"source" 				=> '',
					"posts_source" 			=> '',
					"post_type" 			=> '',
					"categories" 			=> '',
					"tags" 					=> '',
					"pagination" 			=> 'no',
					"pagination_type" 		=> '',
					"num_posts_page" 		=> '',
					"num_posts" 			=> '', 															
					"categories_post_type" 	=> '',
					"orderby" 				=> 'date',
					"order" 				=> 'DESC',		 			
					
					// OPTIONS		
					"date" 					=> 'true',		
					"date_format" 			=> '',
					"category_show" 		=> 'true',
					"social" 				=> 'true',
					
					// STYLE
					"layout"				=> 'layout1',
					"custom_style" 			=> 'off',
					"maincolor" 			=> '#e74c3c',	
					"secondarycolor" 		=> '#FFFFFF',
					"thirdcolor"			=> '#000000',
					
					// CAROUSEL								
					"autoplay"				=> '2000',
					"speed"					=> '2000'
											
					), 
					$attr)
		);	

		/************************* SCRIPT LOAD **************************/

		wp_enqueue_style( 'wpmegapack-columns' );
		wp_enqueue_style( 'wpmegapack-fonts' );		
		wp_enqueue_style( 'owl-carousel-css' );
		wp_enqueue_script( 'wpmp-owl.carousel-js' );
		
		if($type == 'type1') {
			
			if($layout == 'layout1') {
				wp_enqueue_style( 'wpmegapack-news-ticker1' );
				$news_ticker_type = 'wpmp_news_ticker1';
			} else {
				wp_enqueue_style( 'wpmegapack-news-ticker1_bis' );
				$news_ticker_type = 'wpmp_news_ticker1_bis';
			}
			
		}

		/********************* QUERY **********************************/
		
		$query = wpmegapack_query($source,
								  $posts_source, 
								  $post_type, 
								  $categories,
								  $categories_post_type, 
								  $order, 
								  $orderby, 
								  'no', 
								  $pagination_type,
								  '-1', 
								  $num_posts_page);
		
		$return = '';
		
		if($custom_style == 'on') {	
			$return .= wpmp_news_ticker_custom_style($instance,$type,$layout,$maincolor,$secondarycolor,$thirdcolor);
		}		

		$return .= wpmp_news_ticker_custom_js($instance,$autoplay,$speed);	

		
		$return .= '<div class="wpmp-clear"></div>';
		
		$return .= '<div class="wpmegapack wpmepack-news-ticker title-box title-box-'.$instance.'"><div class="name-box">'.$name.'</div>';
		
		$return .= '<div class="wpmegapack '.$news_ticker_type.' wpmepack-news-ticker-'.$instance.' owl-carousel">';
	
		$count = 0;
		$loop = new WP_Query($query);
		if($loop) { 
		while ( $loop->have_posts() ) : $loop->the_post();
		$id_post = get_the_id();
		$link = get_permalink(); 		

			
		/**********************************************************************/
		/******************************** TYPE 1 ******************************/
		/**********************************************************************/		
		if($type == 'type1') {
			
				if($layout == 'layout1') {
				
				/**********************************************************************/
				/****************************** LAYOUT 1 ******************************/
				/**********************************************************************/
						
					$return .= '<div class="wpmp-news-item">';
					if($category_show == 'true') { $return .= '<div class="category">'.wpmegapack_category($source,$post_type).'</div>'; }
							$return .= '<h2 class="title-post"><a href="'.$link.'">'.get_the_title().'</a></h2>';
					if($date == 'true') { $return .= '<span class="data">'.get_the_date($date_format).'</span>'; }				
					$return .=	'</div>';		
		
				} else {
					
				/**********************************************************************/
				/****************************** LAYOUT 2 ******************************/
				/**********************************************************************/
					
					$return .= '';
					
				} // #LAYOUT2
	
		} // #TYPE1
		
		$count++;
		endwhile; // #WHILE
		} // #LOOP			
		
		$return .= '</div><div class="wpmp-clear"></div></div>'; // #MAIN DIV
		$return .= '';
		return $return;
		wp_reset_query();
}


add_shortcode("wpmp_news_ticker", "wpmp_news_ticker");

function wpmp_news_ticker_custom_style($instance,$type,$layout,$maincolor,$secondarycolor,$thirdcolor) {
	
	
	$return = '<style>';
	
	if($type == 'type1') {
		
		if($layout == 'layout1') {
		
			$return .= '.wpmegapack.wpmepack-news-ticker.title-box.title-box-'.$instance.' .name-box,
						.wpmepack-news-ticker-'.$instance.' .wpmp-news-item .category a {
    						background: '.$maincolor.';
						}
						.wpmp_news_ticker1.wpmepack-news-ticker-'.$instance.'.owl-theme .owl-controls .owl-nav [class*="owl-"]:hover {
							color:'.$maincolor.';
						}
						.wpmepack-news-ticker-'.$instance.' .wpmp-news-item .separator,
						.wpmp_news_ticker1.wpmepack-news-ticker-'.$instance.'.owl-theme .owl-controls .owl-nav [class*="owl-"] {
							color:'.$secondarycolor.';
						}
						.wpmp_news_ticker1.wpmepack-news-ticker-'.$instance.' .owl-prev {
							border-right:1.5px solid '.$secondarycolor.';
						}
						.wpmp_news_ticker1.wpmepack-news-ticker-'.$instance.' .owl-next {
							border-left:1.5px solid '.$secondarycolor.';
						}						
						.wpmepack-news-ticker-'.$instance.' .wpmp-news-item .data,
						.wpmegapack.wpmepack-news-ticker.title-box.title-box-'.$instance.' .name-box,
						.wpmegapack.title-box.title-box-'.$instance.' .name-box:hover   {
							color:'.$thirdcolor.';
						}
						.wpmp_news_ticker1.wpmepack-news-ticker-'.$instance.'.owl-theme .owl-controls .owl-nav [class*="owl-"] {
							background:'.$thirdcolor.';	
						}';
			
		} else {
			
			$return .= '';			
			
		}
		
	}
	
	$return .= '</style>';
	
	return $return;	
}

function wpmp_news_ticker_custom_js($instance,$autoplay,$speed) {
	
		if($speed == '') { $speed = '3000'; }
		if($autoplay == '') { $autoplay = '2000'; }
		
		$return = '<script type="text/javascript">
					jQuery(document).ready(function($){
					$(\'.wpmepack-news-ticker-'.$instance.'\').owlCarousel({
						loop:true,
						margin:10,
						nav:true,
						smartSpeed: '.$speed.',
						dots:false,';
		if(!empty($autoplay) || $autoplay != '') { 
				$return .= 'autoplay: true,
				autoplayTimeout: '.$autoplay.',';
		}
		$return .= 'navText: [\'<i class="icon-arrow-left2"></i>\',\'<i class="icon-arrow-right2"></i>\'],
						responsive:{
							0:{
								items:1
							}	
						}
					});
				});		
				</script>';	
	
	
	
	
	return $return;
}